# Worker::isWorking

(PECL pthreads >= 2.0.0)

Worker::isWorking — State Detection

Warning

This method has been removed in pthreads v3. The Worker::getStacked() method should be used to see if the worker still has tasks to execute.

### Description

public Worker::isWorking ( void ) : bool

Tell if a Worker is executing Stackables

### Parameters

This function has no parameters.

### Return Values

A boolean indication of state

### Examples

Example #1 Detect the state of a Worker

`<?php
$my = new Worker();
$my->start();
/* ... */
if ($my->isWorking()) {
/* ... the Worker is busy executing another object */
}
?>`